Bug 7287 - "wide links = no" breaks shadow_copy2 snapshot presentation
"wide links = no" breaks shadow_copy2 snapshot presentation
Status: NEW
Product: Samba 3.4
Classification: Unclassified
Component: VFS Modules
3.4.5
x64 Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 05:19 UTC by Orlando Richards
Modified: 2010-03-25 07:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Orlando Richards 2010-03-24 05:19:35 UTC
Setting "wide links = no", which is the default in versions after 3.4.5, breaks presentation of filesystem snapshots as volume shadow copies when using the shadow_copy2 vfs module.

Our filesystem is GPFS, and the snapshots are visible on the filesystem at:

/exports/nas/.snapshots/@GMT-2010.03.11-08.15.43

which shows the contents of /exports/nas/

the share path is:

/exports/nas/exports/isg

shadow_copy2 VFS config in smb.conf is:

shadow:fixinodes = yes
shadow:snapdir = .snapshots
shadow:basedir = /exports/nas
Comment 1 Volker Lendecke 2010-03-24 05:24:01 UTC
Does that also happen with the version from

http://git.samba.org/?p=obnox/samba-ctdb.git;a=shortlog;h=refs/heads/v3-4-ctdb ?

There this should be fixed, we have to merge the patches though.

Volker
Comment 2 Orlando Richards 2010-03-24 09:11:33 UTC
(In reply to comment #1)
> Does that also happen with the version from
> 
> http://git.samba.org/?p=obnox/samba-ctdb.git;a=shortlog;h=refs/heads/v3-4-ctdb
> ?
> 
> There this should be fixed, we have to merge the patches though.
> 

Ah - won't be able to easily test that (unless there's a drop-in binary option for doing so). We're using the Sernet RPM releases at the moment.

Will try to get a dev environment configured that should help - won't be quick though!

Comment 3 Orlando Richards 2010-03-25 07:35:06 UTC
(In reply to comment #1)
> Does that also happen with the version from
> 
> http://git.samba.org/?p=obnox/samba-ctdb.git;a=shortlog;h=refs/heads/v3-4-ctdb
> ?
> 
> There this should be fixed, we have to merge the patches though.
> 

Yup - I can confirm that it's fixed after building from this git branch.

I did note though that the name of the snapshot presented through the "Previous Versions" tab was being displayed as "@GMT-2010.03.24-21.56.59", rather than the usual "folder_name". However, my environment was significantly broken to run from the git build, so I wouldn't read too much into it!